
/* CONTENT + MEDIA LAYOUT */

.l2-content-media-layout-boxed {
    width: var(--token-container-width-wide-default) !important;
    }
    
    .l2-container-width-full .l2-content-media-layout-default {
    padding-right: 0 !important;
    }
    
    .l2-container-width-full .l2-content-media-layout-default {
    padding-left: 0 !important;
    }
    
    .l2-content-media-layout-mixed-reverse {
    padding-left: 0 !important;
    flex-direction: row-reverse !important;
    }
    
    .l2-content-media-layout-default-reverse,
    .l2-content-media-layout-mixed-reverse
     {
      flex-direction: row-reverse !important;
    }
    
    .l2-content-media-layout-column {
    flex-direction: column !important;
    }
    
    .l2-content-media-layout-column-reverse {
    flex-direction: column-reverse !important;
    }
/*     
    .l2-content-media-layout-column .l2-textblock-container,
    .l2-content-media-layout-column-reverse .l2-textblock-container {
    padding-top: 48px !important;
    padding-bottom: 48px !important;
    } */
    
    .l2-content-media-layout-column .l2-textblock-container,
    .l2-content-media-layout-column-reverse .l2-textblock-container {
      flex-direction: row !important;
    }
    
    .l2-content-media-layout-column > div,
    .l2-content-media-layout-column-reverse > div {
    width: 100% !important;
    }
    
    .l2-media-container-right {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    }
/*     
    @media screen and (min-width:1440px) {
      .l2-content-media-layout-mixed .l2-textblock-container-left {
        padding-right: 64px;
        }
        
    }
     */
    
    /* .l2-content-media-layout-mixed-reverse .l2-textblock-container-left {
    padding-left: 64px;
    } */




/* TYPOGRAPHY */

.l2-textalign-right [class*="l2-textblock"] {
  text-align: right;
  }
  
  .l2-textalign-center [class*="l2-textblock"] {
  text-align: center;
  }
  
  .l2-textblock-container-left .elementor-button-wrapper {
  display: flex;
  }
  
  .l2-textalign-right .elementor-button-wrapper {
  justify-content: flex-end;
  }
  
  .l2-textalign-center .elementor-button-wrapper {
  justify-content: center;
  }
  
    
  /* CONTENT + MEDIA MIXED WIDTH */


  @media screen and (max-width:1439px) {
    .l2-media-container-right .swiper-pagination {
        transform: translateX(-32px);
    }
  }

  /* @media screen and (min-width:992px) and (max-width:1023px) {
    [class*="l2-content-media-layout-default"] .l2-textblock-container-left,
    [class*="l2-content-media-layout-mixed"] .l2-textblock-container-left,
    [class*="l2-content-media-layout-default"] .l2-media-container-right,
    [class*="l2-content-media-layout-mixed"] .l2-media-container-right {
      width: 50% !important;
    }

  } */
  
  @media screen and (max-width:991px) {
  
    [class*="l2-content-media"] .l2-textblock-container-left,
    [class*="l2-content-media"] .l2-media-container-right {
      width: 100% !important;
    }
  
    .l2-content-media-layout-mixed,
    .l2-content-media-layout-default {
      flex-direction: column-reverse !important;
    }

    /* .l2-content-media-layout-default .l2-textblock-btn-container {
      padding-bottom: 64px !important;
    } */
  
  .l2-layout-container {
    /* gap: 0 !important; */
    /* padding-left: 0 !important; */
    /* padding-right: 0 !important; */
  }
  }
  .l2-content-media-layout-mixed,
  .l2-content-media-layout-mixed-reverse {
  justify-content: flex-end !important;
  }
  
  /* .l2-master-container[class*="l2-container-backgroundcolor"] .l2-layout-container:not([class*="l2-content-media-layout-mixed"]) .l2-textblock-container-left {
    padding-left: 32px;
    padding-right: 32px;
  } */

  @media(max-width:768px) {
    .l2-media-container-right {
        width: 100% !important;
        /* min-height: 300px !important; */
    }
}

/* HIDE IMAGE */

[class*="l2-content-media-layout"] .l2-textblock-container-left {
  background: transparent !important;
}